curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/address/create \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"merchantTradeNo": "93840202212210025",
"env": {
"terminalType": "MINIAPP"
},
"goods": {
"goodsName": "USDT_PAY_BTC_TEST",
"goodsDetail": "yc"
},
"orderExpireTime": 1673410179000,
"merchantUserId": 1336974,
"chain": "BSC",
"fullCurrType": "BTC_BSC"
}
'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"prepayId": "47656656276819968",
"terminalType": "MINIAPP",
"expireTime": 1673410179000,
"chain": {
"chain_type": "BSC",
"fullCurrType": "USDT_BSC",
"address": "0x1699dB45Dc502A0395038265fCBC4Fa05d6afFBD"
}
}
}创建地址支付订单(直付或闪兑)
curl --request POST \
--url https://openplatform.gateapi.io/payment/open/institution/v1/pay/address/create \
--header 'Content-Type: application/json' \
--header 'X-GatePay-Certificate-ClientId: <x-gatepay-certificate-clientid>' \
--header 'X-GatePay-Nonce: <x-gatepay-nonce>' \
--header 'X-GatePay-On-Behalf-Of: <x-gatepay-on-behalf-of>' \
--header 'X-GatePay-Signature: <x-gatepay-signature>' \
--header 'X-GatePay-Timestamp: <x-gatepay-timestamp>' \
--data '
{
"merchantTradeNo": "93840202212210025",
"env": {
"terminalType": "MINIAPP"
},
"goods": {
"goodsName": "USDT_PAY_BTC_TEST",
"goodsDetail": "yc"
},
"orderExpireTime": 1673410179000,
"merchantUserId": 1336974,
"chain": "BSC",
"fullCurrType": "BTC_BSC"
}
'{
"status": "SUCCESS",
"code": "000000",
"errorMessage": "",
"data": {
"prepayId": "47656656276819968",
"terminalType": "MINIAPP",
"expireTime": 1673410179000,
"chain": {
"chain_type": "BSC",
"fullCurrType": "USDT_BSC",
"address": "0x1699dB45Dc502A0395038265fCBC4Fa05d6afFBD"
}
}
}Documentation Index
Fetch the complete documentation index at: https://docs.gate.com/llms.txt
Use this file to discover all available pages before exploring further.
POST /payment/open/institution/v1/pay/address/create 接口。完整的请求参数、响应结构与示例由上方关联的 OpenAPI 定义渲染。
创建订单,订单币种和支付币种一致创建直付地址支付单,订单币种和支付币种不一致创建闪兑地址支付单
X-GatePay-On-Behalf-Of,用于表示本次代理请求的账户上下文;在机构代理商户 API 中通常填写目标子账户 ID。商户客户端ID
"4186d0c6-6a35-55a9-8dc6-5312769dbff8"
签名
"672d5650dcc9bb22ebf25fa16c28d03c0e159d742a9176d4340a5da326d75dc8"
时间戳(毫秒)
"1672905655498"
随机数
"9578"
必填代理归属请求头。请填写本次请求的发起方账户 ID;在机构代理商户 API 中通常填写目标子账户 ID,在机构代扣与划转接口中可填写机构账户 ID 或子账户 ID。
商户系统中的交易号
Show child attributes
Show child attributes
订单过期时间(毫秒)
商户用户ID
链名称
带链币种
订单币种
订单金额
附加费用
容差金额
法币币种,大写形式,如EUR、GBP、USD、CNY、JPY、AUD、CAD、CHF
法币订单金额,最小值0.01,最高精度为2位
用户选择的支付币种,非闪兑单不需要传)
支付成功回调地址
取消支付回调地址
客户名称